> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kaizenautomation.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a file

> Upload a file using multipart/form-data. Note: This endpoint uses multipart/form-data and is not supported by the standard OpenAPI client generation.



## OpenAPI

````yaml post /files/create
openapi: 3.1.0
info:
  title: Kaizen API
  version: 1.0.0
  description: API for the Kaizen Automation Platform
servers:
  - url: https://api.kaizenautomation.com
    description: Production server
security: []
paths:
  /files/create:
    post:
      tags:
        - Files
      summary: Create a file
      description: >-
        Upload a file using multipart/form-data. Note: This endpoint uses
        multipart/form-data and is not supported by the standard OpenAPI client
        generation.
      requestBody:
        description: File upload with optional name
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                  description: The file to upload
                name:
                  type: string
                  description: >-
                    Optional name for the file. If not provided, will use the
                    original filename.
              required:
                - file
              description: File upload with optional name
      responses:
        '200':
          description: File uploaded successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileInfo'
                description: Created file information
        '400':
          description: Invalid request - file is required
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  schemas:
    FileInfo:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the file
        name:
          type: string
          description: Name of the file
        mimeType:
          type:
            - string
            - 'null'
          description: MIME type of the file
        sizeBytes:
          type:
            - number
            - 'null'
          description: Size of the file in bytes
        downloadUrl:
          type:
            - string
            - 'null'
          description: Signed URL to download the file directly
        key:
          type:
            - string
            - 'null'
          description: >-
            Key identifier for the file (for example, a key provided when
            completing a download for the file).
      required:
        - id
        - name
        - mimeType
        - sizeBytes
        - downloadUrl
        - key
      description: File information

````